.cookie__button {
  @include reset;
  appearance: none;
  position: fixed;
  left: 10px;
  bottom: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 43px;
  height: 43px;
  border-radius: 50%;
  background-color: #FF0000;
  cursor: pointer;
  transition: all 0.3s;
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.1);

  path {
    transition: all 0.3s;
  }
  &:hover {
    background-color: #ffffff;
    path {
      fill: #FF0000;
    }
  }

}

.cookie__img {
  width: 80px;
  margin: 0 auto;
  display: block;
  margin-bottom: 22px;
  margin-top: -20px;
}


.cookie__wrapper {
  background: #FFFFFF;
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.04);
  border-radius: 30px 0 30px 30px;
  position: fixed;
  left: 10px;
  bottom: 80px;
  width: calc(100% - 20px);
  max-width: 375px;
  z-index: 400;
  padding-bottom: 52px;
  padding-top: 0;
}

.cookie__content {
  padding: 22px 37px;
  text-align: center;
  padding-top: 0;

}

.cookie__scroll {
  max-height: 325px;
  padding: 0 27px;
  position: relative;
  text-align: center;


}

.cookie__sub-title {
  font-weight: 300;
  font-size: 14px;
  line-height: 21px;

  & + .cookie__text {
    margin-top: 16px;
  }
}

.cookie__caption {
  font-weight: bold;
  font-size: 18px;
  line-height: 22px;
  text-align: center;
  color: #333333;
  margin-bottom: 7px;
}

.cookie__title {
  font-weight: bold;
  font-size: 30px;
  line-height: 45px;
  text-align: center;
  color: #333333;
  margin-bottom: 10px;
}

.cookie__text {
  font-size: 12px;
  line-height: 17px;
  text-align: center;
  color: #949494;
  margin-bottom: 15px;
}

.cookie__link {
  font-size: 12px;
  line-height: 17px;
  text-align: center;
  text-decoration-line: underline;
  color: #FF0000;
  appearance: none;
  cursor: pointer;
  @include reset;
}

.cookie__controls {
  div {
    display: flex;
    align-items: center;
    position: absolute;
    left: 0;
    bottom: 0;
    border-radius: 0 0 30px 30px;
    border-top: 1px solid rgba(#000000, 0.05);
    width: 100%;
  }
}

.cookie__row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 23px;
  margin-bottom: 20px;
}

.cookie__control {
  @include reset;
  appearance: none;
  flex-grow: 1;
  padding: 17px 0;
  cursor: pointer;
  font-weight: 600;
  font-size: 12px;
  line-height: 15px;
  /* identical to box height */

  text-align: center;

  color: #000000;
  transition: all 0.3s;

  &:hover {
    color: #FF0000;
  }

  &:first-child {
    border-radius: 0 0 0 30px;
    border-right: 1px solid rgba(#000000, 0.05);
  }

  &:last-child {
    border-radius: 0 0 30px 0;
    border-left: 1px solid rgba(#000000, 0.05);
  }
}

.cookie__list {
  @include list-reset;
  overflow: hidden;
  border-radius: 10px;
  margin-bottom: 24px;
  border: 1px solid #F2F2F2;
}

.cookie__both {
  @include pseudo;
  width: 100%;
  height: 1px;
}

.cookie__item {
  display: flex;
  text-align: left;
  padding: 14px 18px;


  &:not(:last-child) {
    border-bottom: 1px solid rgba(#000000, 0.05);
  }
}

.cookie__right {
  margin-left: 13px;
}

.cookie__label {
  font-weight: 600;
  font-size: 14px;
  line-height: 135.34%;
  color: #333333;
  margin-bottom: 4px;
}

.cookie__txt {
  font-size: 10px;
  line-height: 135.34%;
  color: #000000;
  opacity: 0.5;
}
@media (min-width: 768px) {
  .cookie__wrapper {
    left: 50px;
  }

  .cookie__button {
    bottom: 20px;
    left: 20px;
  }
}

@media (min-width: 1400px) {
  .cookie__button {
    bottom: 50px;
    left: 50px;
  }

  .cookie__wrapper {
    left: 70px;
    bottom: 120px;
  }
}

.example-enter {
  opacity: 0;
}

.example-enter-done {
  opacity: 1;
  transition: opacity 200ms;
}

.example-exit {
  opacity: 1;
}

.example-exit-done {
  opacity: 0;
  transition: opacity 200ms;
}


.alert-enter {
  opacity: 0;
  transform: scale(0.9);
}
.alert-enter-active {
  opacity: 1;
  transform: translateX(0);
  transition: opacity 300ms, transform 300ms;
}
.alert-exit {
  opacity: 1;
}
.alert-exit-active {
  opacity: 0;
  transform: scale(0.9);
  transition: opacity 300ms, transform 300ms;
}


.slide-enter {
  opacity: 0;
  transform: translateX(-100%);
}
.slide-enter-active {
  opacity: 1;
  transform: translateX(0);
  transition: opacity 300ms, transform 300ms;
}
.slide-exit {
  opacity: 1;
}
.slide-exit-active {
  opacity: 0;
  transform: translateX(-100%);
  transition: opacity 300ms, transform 300ms;
}


.fade-enter {
  opacity: 0;
}
.fade-enter-active {
  opacity: 1;
  transition: opacity 300ms;
}
.fade-exit {
  opacity: 1;
}
.fade-exit-active {
  opacity: 0;
  transition: opacity 300ms;
}
